package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.PersonalAuthentication;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.PersonalAuthenticationMapper")
public interface PersonalAuthenticationMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(PersonalAuthentication record);

    PersonalAuthentication selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PersonalAuthentication record);

    List<PersonalAuthentication> queryAllPersonalAuthentication(PersonalAuthentication record);

    List<PersonalAuthentication> queryPersonalAuthenticationByPage(Map<String, Object> parameter);

    int delete(String id);

    PersonalAuthentication queryPersonalAuthentication(PersonalAuthentication record);

    List<PersonalAuthentication> query(PersonalAuthentication record);
}

